# TODO: (optional) MPI?
Summary:	Field3D - open source library for storing voxel data
Summary(pl.UTF-8):	Field3D - mająca otwarte źródła biblioteka do przechowywania danych vokseli
Name:		Field3D
Version:	1.7.3
Release:	2
License:	BSD
Group:		Libraries
#Source0Download: https://github.com/imageworks/Field3D/releases
Source0:	https://github.com/imageworks/Field3D/archive/v%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	536198b1b4840a5b35400ccf05d4431c
URL:		http://opensource.imageworks.com/?p=field3d
BuildRequires:	cmake >= 2.8
BuildRequires:	boost-devel >= 1.34.0
BuildRequires:	doxygen
BuildRequires:	hdf5-devel >= 1.8
BuildRequires:	ilmbase-devel >= 1.0.1
BuildRequires:	libstdc++-devel
BuildRequires:	rpmbuild(macros) >= 1.605
Requires:	hdf5 >= 1.8
Requires:	ilmbase >= 1.0.1
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Field3D is an open source library for storing voxel data. It provides
C++ classes that handle in-memory storage and a file format based on
HDF5 that allows the C++ objects to be written to and read from disk.

%description -l pl.UTF-8
Field3D to mająca otwarte źródła biblioteka do przechowywania danych
vokseli. Udostępnia klasy C++ obsługujące przechowywanie ich w pamięci
oraz format plików oparty na HDF5 pozwalający na zapis i odczyt
obiektów C++ z dysku.

%package devel
Summary:	Header files for Field3D library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Field3D
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	boost-devel >= 1.34.0
Requires:	hdf5-devel >= 1.8
Requires:	ilmbase-devel >= 1.0.1
Requires:	libstdc++-devel

%description devel
Header files for Field3D library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Field3D.

%package apidocs
Summary:	Field3D API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Field3D
Group:		Documentation
BuildArch:	noarch

%description apidocs
API and internal documentation for Field3D library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Field3D.

%prep
%setup -q

%build
# main build system is scons, but there is cmake alternative, which is slightly more usable in rpm building
install -d build
cd build
export CXXFLAGS="%{rpmcxxflags} %{rpmcppflags} -std=c++14"
%cmake ..

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_prefix}/docs

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc CHANGES COPYING README
%attr(755,root,root) %{_bindir}/f3dinfo
%attr(755,root,root) %{_libdir}/libField3D.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libField3D.so.1.7

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libField3D.so
%{_includedir}/Field3D

%files apidocs
%defattr(644,root,root,755)
%doc docs/html/*.{css,html,js,png}
%changelog
* Tue Aug 10 2021 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/Field3D.git;a=log;h=master

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> 763c9d2
- boost rebuild

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> 10965d9
- macros for %cmake

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> cdc4129
- updated source url to https

* Tue Aug 10 2021 Jan Palus <atler@pld-linux.org> dd2284f
- force c++14 standard to fix build with gcc 11

* Sun Feb 28 2021 Jan Rękorajski <baggins@pld-linux.org> 335b72a
- unconditional noarch subpackages

* Wed Jul 29 2020 Jakub Bogusz <qboosh@pld-linux.org> f8c1ddc
- updated to 1.7.3

* Sat Dec 14 2019 Jakub Bogusz <qboosh@pld-linux.org> 58986a9
- updated to 1.7.2 (new soname)
- removed obsolete link patch

* Sun Dec 08 2019 Jan Rękorajski <baggins@pld-linux.org> 783492e
- release 20 (by relup.sh)

* Mon Oct 07 2019 Jan Rękorajski <baggins@pld-linux.org> 2dac5f9
- rebuild with boost 1.71
- release 19 (by relup.sh)

* Fri May 10 2019 Jan Rękorajski <baggins@pld-linux.org> 81754a8
- release 18 (by relup.sh)

* Sun Apr 14 2019 Jan Rękorajski <baggins@pld-linux.org> d94a015
- icu/boost rebuild
- release 17 (by relup.sh)

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> 0951b42
- rebuild with boost 1.63.0
- release 16 (by relup.sh)

* Mon May 16 2016 Elan Ruusamäe <glen@delfi.ee> c15fde6
- icu-57.1 rebuild
- release 15 (by relup.sh)

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> ef95455
- release 14 (by relup.sh)

* Tue Jul 14 2015 Jan Rękorajski <baggins@pld-linux.org> cb11a55
- release 13 (by relup.sh)

* Sun Jun 07 2015 Elan Ruusamäe <glen@delfi.ee> 459637c
- boost rebuild
- release 12 (by relup.sh)

* Sun Mar 29 2015 Elan Ruusamäe <glen@delfi.ee> 7b8e829
- noarch apidocs

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 2815f33
- rebuild with boost 1.57.0
- release 10 (by relup.sh)

* Sun Nov 23 2014 Jan Rękorajski <baggins@pld-linux.org> 7952724
- rebuild with hdf5 1.8.14
- release 9 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 8f33503
- rebuild with boost 1.56.0
- release 8 (by relup.sh)

